Some people have requested the vanilla changes by themselves and reception to the new skills has been... mixed, so I built this for people who would rather not deal with loadout clutter or manually disabling everything in config (also because I have little motivation to actually push a 1.2.0 update to Mando Gaming)

## New features:
- Almost every change should be toggleable individually
- More vanilla skill changes, some based on feedback from RoR2 server
- Utilizes code from Moffein's recent grenade mod, found here: https://github.com/Moffein/Frag-Grenade-Cooking
- Can enable a more expansive config file that can be used to tweak numerical values of every skill (WIP)

## Skill changes:
### DOUBLE TAP
- Very little was changed by default here. Double Tap is in a good spot atm
- The spread bloom value was cut slightly, so Commando can shoot longer before having the huge accuracy dropoff
- Config is available for (mostly) reverting Commando to pre-1.0 Mando Gaming changes and/or customizing those values yourself

### PHASE ROUND
- Phase Round is now larger (roughly 2x size), although not quite as big as it was in previous versions
- Damage has been upped to 360% - it'll still take two hits to proc bands, but it can now OHKO lesser wisps at level 1 and deals more comparable damage to Phase Blast
- Duration is now significantly shorter, allowing it to interrupt Double Tap less and combo with Suppressive Fire cancel similarly to Phase Blast

### PHASE BLAST
- imo this skill is way too strong for what it is
- Damage nerfed from 8x200% -> 8x185% to bring it slightly below a 3-enemy chain of buffed Phase Round (THIS CAN BE TURNED OFF IF DESIRED)
- To (partially) compensate, this skill had its force reworked; the first hit now has no force to more easily combo, while the second hit has been increased from 200 -> 500 force, allowing you to slightly push lighter enemies
- Config available to enable these separately and customize Blast damage per shot

### TACTICAL DIVE
- Initial and final speed have been increased to make this more generally useful as a dash
- Now benefits from sprint modifier instead of just base movement speed
- Also grants 100 armor for the duration, which can be swapped for invincibility if preferred

### TACTICAL SLIDE
- Very little is changed by default
- The jump height was buffed slightly to compensate for Dive being more useful for trimping
- Can also gain the armor/invincibility buff Dive has

### SUPPRESSIVE FIRE
- Decided to take a different approach this time compared to Mando Gaming
- Previous versions kept the original shot damage or lowered it, but dramatically increased the number of shots - this instead increases shot damage while only increasing shots slightly (8x125%)
- Combined with a small cut to shot duration, this allows Suppressive Fire to actually fulfill its purpose as a burst skill in addition to stunning; if canceled into either secondary, it should now have more comparable damage output to Frag Grenades single-target
- This means Suppressive now scales even more from attack speed - every 12.5% adds one additional 125% shot, which can take off with certain item combinations
- It's probably still worse than Grenade at base performance, which is kind of unavoidable without ridiculously buffing/reworking it due to what Suppressive Fire is
- Config available to edit shot/damage values

### FRAG GRENADE
- The only change by default is a larger explosion radius - upped from 11m to 14m (this also increases the sweetspot size from 5.5m -> 7m)
- However, a lot of config options are provided for the skill - old physics, timer/damage/size customization, Shattered debuff (which is now disabled by default), etc.
- A modified version of the unused sticky grenade can be enabled as an alt skill (Magnet Grenade) with its own config options, and can be modified further in custom config
- A modified version of the aforementioned Frag Grenade Cooking mod as a config option, which affects impact timer instead of lifetime

## Other notes
- I took down my old discord server due to not having any reason to maintain it, but I can still be contacted at FMRadio11#8912 on discord if needed
- Scepter support will probably never happen, sorry. The mod is too inflexible for vanilla survivor changes, and the skill should still function fine without it
- I'm not sure what my plans are for the additional content in Mando Gaming yet. If I ever get around to fixing stuff I may release it as a separate mod, but honestly just making my current project public might be the better move with how little I work on RoR2 mods nowadays

## Version history
### 1.0.2 update
- Fixed Shatter keyword displaying incorrect value
- Shatter keyword now updates based on custom config
- Numerous typos fixed in custom config, should update automatically but may need to recreate the file

### 1.0.1 update
- Fixed Blast bullet count not being updated by custom config
- Removed some unneeded stuff from description

### 1.0.0 release
- Imported Mando Gaming 1.1.12 changes
- Extra skills, passives, audio, graphics, and achievements removed
- Body prefab is now called during BodyCatalog.Init instead of Awake() to avoid possible interference with mods that use Commando as a base, although this shouldn't be a problem with the passives gone
- Rewrote most of the code
- Removed distance/minSpread changes from Double Tap and Suppressive Fire to compress code more, they're not really huge changes
- Phase Round size increase 2.3x(?) -> 2x, duration 0.5s -> 0.3s
- Config Phase Round damage increase 400% -> 360%, now enabled by default
- Phase Blast damage 1400% -> 1480%, first hit force 0 -> 200
- Tactical Dive now has separate config for AoE stun/buff optimization and speed changes
- Tactical Dive duration 0.45s -> 0.4s to match vanilla, speed 9 -> 10
- Tactical Dive now has config for applying 2/3rds of sprint modifier to the dash; this will reduce the internal speed coefficient by the amount needed to match the provided value at base sprint speed
- Tactical Slide description edited to acknowledge aerial slide
- Suppressive Fire damage 12x100% -> 8x125% (overall 1200% -> 1080%), duration 7.5s -> 8s
- Frag Grenade radius 12m -> 14m, now has config option to increase damage 700% -> 800%
- Frag Grenade debuff now disabled by default, reduced to -20
- Imported code from Frag Grenade Cooking as a config option, see above
- Sticky grenade config separated into its own skill, using the ingame version of sticky frag grenades as a base
- Config has been overhauled; more options available at base, and a custom config can be enabled that allows you to modify (almost) everything relevant to this mod